from distutils.core import setup
from distutils.extension import Extension
from Cython.Build import cythonize
from setuptools import setup, find_packages

try:
    from Cython.Distutils import build_ext
except ImportError:
    use_cython = False
else:
    use_cython = True

cmdclass = {}
ext_modules = []

if use_cython:
    ext_modules += [
        Extension("Cmons.NumberTheory", ["cython/NumberTheory.pyx"])
    ]
    cmdclass.update({'build_ext':build_ext})
else:
    ext_modules += [
        Extension("Cmons.NumberTheory", ["cython/NumberTheory"])
    ]

setup(
    name='Cmons',
    version='0.1.0',
    description='Number theory using autogenerated C code',
    url='https://github.com/jlavileze/Cmons',
    author='Jose Avilez',
    author_email='jlavilez@edu.waterloo.ca',
    packages=find_packages(exclude=['contrib', 'docs', 'tests*']),
    cmdclass=cmdclass,
    classifiers=[
    'Programming Language :: Python :: 3.6'
    ]
)
